
QGIS Application - Bug report #10235

Bottommost layers in a legend group cannot be re-added

2014-05-12 01:09 AM - Raimund Schnuerer

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18674

Description

Steps to reproduce the bug:

1. Create a new group in the map legend.

2. Add 7 or more layers* to the map.

3. Drag & drop all layers at once into the created group.

4. Remove the bottommost layer from the map. 

5. Try to add this layer to the map again.

The last step does not work: The layer is not displayed in the map legend.

[*] I tested both Shapefiles and PostGIS layers.

History

#1 - 2014-05-13 12:13 PM - Giovanni Manghi

- Status changed from Open to Feedback

if I understand well then I cannot confirm. A screencast would help eventually understand better the issue.

#2 - 2014-05-15 12:43 AM - Raimund Schnuerer

Here a screencast of my issue (sorry for the interferences at the beginning):

http://ikgrai1.ethz.ch/ads_survey/videos/qgis-bug-10235.avi

1. I create a group "Test" in the map legend.

2. I add 12 PostGIS layers to the map.

3. I drag & drop all layers at once into the group "Test".

4. I remove the bottommost layer from the map (i.e. "f_arb_erwerbsqoute_vz2000_3d__9"). 

5. I try to add this layer to the map again, however this does not work.

The same would apply to Shapefiles and to all layers between the fifth and last position in the group. Removing one of the first five layers in the group and

re-adding them works as expected.

#3 - 2014-05-15 04:33 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Status changed from Feedback to Open
http://ikgrai1.ethz.ch/ads_survey/videos/qgis-bug-10235.avi


Now I can see it too and it is not a regression (at least it is the same down until 1.8).

#4 - 2014-07-22 01:26 AM - Raimund Schnuerer

I repeated the test case on QGIS 2.4.0 (and QGIS 2.5.0) and there everything works fine. So, in my opinion this issue can be closed.

#5 - 2014-07-22 02:51 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented
